require 'softwear/auth/standard_model'
require 'softwear/auth/stubbed_model'

module Softwear
  module Auth
    if Rails.env.development? && ENV['AUTH_SERVER'] != 'true'
      class Model < StubbedModel
        STUBBED = true
      end
    else
      class Model < StandardModel
        STUBBED = false
      end
    end
  end
end
